rpms/kguitar/devel import.log, NONE, 1.1 kguitar-snapshot.sh, NONE, 1.1 kguitar.desktop, NONE, 1.1 kguitar.spec, NONE, 1.1 .cvsignore, 1.1, 1.2 sources, 1.1, 1.2

Orcan Ogetbil oget at fedoraproject.org
Wed Feb 18 22:08:28 UTC 2009


Author: oget

Update of /cvs/pkgs/rpms/kguitar/devel
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv2387/devel

Modified Files:
	.cvsignore sources 
Added Files:
	import.log kguitar-snapshot.sh kguitar.desktop kguitar.spec 
Log Message:
* Sun Feb 08 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.5.1-3.926svn
- Change the EVR scheme (use svn revision instead of date in R)
- Use RPM's _texmf_main macro instead of redefining it
- Place the TeX bit into a -tex subpackage
- Specfile cleanup

* Wed Jan 21 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.5.1-2.20090120svn
- Updated description
- Added TeX support
- Remove the call to ldconfig in post*

* Mon Jan 19 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.5.1-1.20090120svn
- Initial Fedora build




--- NEW FILE import.log ---
kguitar-0_5_1-3_926svn_fc10:HEAD:kguitar-0.5.1-3.926svn.fc10.src.rpm:1234994835


--- NEW FILE kguitar-snapshot.sh ---
#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
name=kguitar

cd "$tmp"
svn=$(svn export https://kguitar.svn.sourceforge.net/svnroot/kguitar/trunk/kguitar $name |grep "Exported revision"|sed 's|[^0-9]*||g')
cd $name
version=$(cat VERSION| sed 's|[^0-9]*||')
cd ..
tar jcf "$pwd"/$name-$version-"$svn"svn.tar.bz2 $name
echo "Wrote: " $name-$version-"$svn"svn.tar.bz2
cd - >/dev/null


--- NEW FILE kguitar.desktop ---
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=KGuitar
GenericName=Tabulature Editor
GenericName[de]=Tabulatur-Editor
Exec=kguitar %u -caption "%c" %i %m
Icon=kguitar
Type=Application
Terminal=false
Categories=AudioVideo;Audio;
MimeType=application/x-kguitar;audio/x-gtp;audio/x-ptb;audio/midi;
DocPath=kguitar/index.html
Comment=Tabulature editor for music instruments
Comment[de]=Tabulatur-Editor f
Comment[ru]=Редактор табулатур для музыкальных инструментов


--- NEW FILE kguitar.spec ---
%define svnver 926svn

Name:		  kguitar
Version:	  0.5.1
Release:	  3.%{svnver}%{?dist}
Group:		  Applications/Multimedia
Summary:	  Guitar Tabulature Music Editor
License:	  GPLv2+
URL:		  http://kguitar.sf.net/
Source0:	  %{name}-%{version}-%{svnver}.tar.bz2
# The supplied .desktop file is ancient and doesn't meet the current standards
# We are supplying a new one:
Source1:	  %{name}.desktop
# To fetch the svn trunk:
Source9:	  %{name}-snapshot.sh
BuildRoot:	  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	  autoconf automake gettext 
BuildRequires:	  kdelibs3-devel tse3-devel texlive-texmf

%description
KGuitar is a powerful KDE-based music tabulature editor with support of
multiple guitar (or any fretted instrument) and drum tracks. KGuitar also 
supports classic note scores, MIDI synthesizer output, chord, scales, modes, 
melody and rhythm construction and analysis tools, lots of tab effects, lyrics,
Guitar Pro files import and lots of other things.

%package tex
Group:		  Applications/Publishing
Summary:	  MusixTeX support for KGuitar
Requires:	  %{name} == %{version}-%{release}
Requires:	  tex-musixtex
Requires(post):	  /usr/bin/texhash
Requires(postun): /usr/bin/texhash

%description tex
KGuitar is a powerful KDE-based music tabulature editor with support of
multiple guitar (or any fretted instrument) and drum tracks. KGuitar also
supports classic note scores, MIDI synthesizer output, chord, scales, modes,
melody and rhythm construction and analysis tools, lots of tab effects, lyrics,
Guitar Pro files import and lots of other things.

This package provides support for compiling MusixTex files exported from
Kguitar.

%prep
%setup -q -n %{name}

# Add more mime-types since the software is capable of handling them.
sed -i 's|\*.kg|\*.kg;\*.gp3;\*.gp4;\*.mid;\*.tab;\*.xml|' %{name}/x-%{name}.desktop

make -f admin/Makefile.common cvs ||:

%build
%configure \
	--disable-rpath \
	--disable-static \
	--disable-debug \
	--program-transform-name="" \
	--enable-final \
	--with-tse3-libraries="%{_libdir}" \
%ifarch x86_64 ppc64
	--enable-libsuffix="64"
%endif

make %{?_smp_flags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Make symlinks relative:
ln -fs ../common $RPM_BUILD_ROOT/%{_datadir}/doc/HTML/en/%{name}/

# Remove the old (it can't pass desktop-file-validate) .desktop file...
rm -fr $RPM_BUILD_ROOT/%{_datadir}/applnk
# ... and replace it with the new one:
desktop-file-install --dir=${RPM_BUILD_ROOT}/%{_datadir}/applications %{SOURCE1}

# Install the TeX support
mkdir -p $RPM_BUILD_ROOT/%{_texmf_main}/tex/generic/kgtabs
install -pm 644 %{name}_shell/kgtabs.tex $RPM_BUILD_ROOT/%{_texmf_main}/tex/generic/kgtabs

%find_lang %{name}

%post 
touch --no-create %{_datadir}/icons/{hi,lo}color
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun 
touch --no-create %{_datadir}/icons/{hi,lo}color
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%post tex -p /usr/bin/texhash

%postun tex -p /usr/bin/texhash

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)

%doc AUTHORS ChangeLog COPYING README
%doc licenseMusicXML.html
%{_docdir}/HTML/en/%{name}

%{_bindir}/*
%{_libdir}/kde3/*
%{_datadir}/apps/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mimelnk/application/*
%{_datadir}/services/%{name}_part.desktop
%{_datadir}/icons/*/*/*/*

%files tex
%defattr(-,root,root,-)
%{_texmf_main}/tex/generic/kgtabs

%changelog
* Sun Feb 08 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.5.1-3.926svn
- Change the EVR scheme (use svn revision instead of date in R)
- Use RPM's _texmf_main macro instead of redefining it
- Place the TeX bit into a -tex subpackage
- Specfile cleanup

* Wed Jan 21 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.5.1-2.20090120svn
- Updated description
- Added TeX support
- Remove the call to ldconfig in post*

* Mon Jan 19 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.5.1-1.20090120svn
- Initial Fedora build


Index: .cvsignore
===================================================================
RCS file: /cvs/pkgs/rpms/kguitar/devel/.cvsignore,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- .cvsignore	18 Feb 2009 19:56:04 -0000	1.1
+++ .cvsignore	18 Feb 2009 22:07:58 -0000	1.2
@@ -0,0 +1 @@
+kguitar-0.5.1-926svn.tar.bz2


Index: sources
===================================================================
RCS file: /cvs/pkgs/rpms/kguitar/devel/sources,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- sources	18 Feb 2009 19:56:04 -0000	1.1
+++ sources	18 Feb 2009 22:07:58 -0000	1.2
@@ -0,0 +1 @@
+f472894964145e9b2f243f9375b2cc1c  kguitar-0.5.1-926svn.tar.bz2




More information about the fedora-extras-commits mailing list